Subject: [bug#59085] [PATCH] services: Add x86_64 QEMU target.

From: Christopher Baines <[email-masked]>
Date: Mon, 07 Nov 2022 21:03:12 +0100

Leo Nikkilä <[email-masked]> writes:

> Greetings,
>
> I was trying to build an x86_64 binary on an aarch64 machine, and noticed that
> `qemu-binfmt-service-type' was missing the x86_64 platform definition.
>
> * gnu/services/virtualization.scm (%x86_64): Add variable.
> (%qemu-platforms) Add it.
> ---
>  gnu/packages/virtualization.scm | 1 +
>  gnu/services/virtualization.scm | 9 ++++++++-
>  2 files changed, 9 insertions(+), 1 deletion(-)

This sounds reasonable to me, I haven't checked the exact values are
correct but I'm assuming they're sensible.

Pushed to master as 9ad311ec15c05efc78f74252e7eb6cddfb0b5cea.

Thanks,

Chris